[Forgot Password]
Login  Register Subscribe

24128

 
 

131573

 
 

110210

 
 

909

 
 

86021

 
 

136

Paid content will be excluded from the download.


Download | Alert*
OVAL

DSA-1868 kde4libs -- several vulnerabilities

ID: oval:org.mitre.oval:def:7524Date: (C)2009-12-15   (M)2017-11-18
Class: PATCHFamily: unix




Several security issues have been discovered in kde4libs, core libraries for all KDE 4 applications. The Common Vulnerabilities and Exposures project identifies the following problems: It was discovered that there is a use-after-free flaw in handling certain DOM event handlers. This could lead to the execution of arbitrary code, when visiting a malicious website. It was discovered that there could be an uninitialised pointer when handling a Cascading Style Sheets (CSS) attr function call. This could lead to the execution of arbitrary code, when visiting a malicious website. It was discovered that the JavaScript garbage collector does not handle allocation failures properly, which could lead to the execution of arbitrary code when visiting a malicious website. The oldstable distribution (etch) does not contain kde4libs.

Platform:
Debian 5.0
Product:
kde4libs
Reference:
DSA-1868
CVE-2009-1690
CVE-2009-1698
CVE-2009-1687
CVE    3
CVE-2009-1687
CVE-2009-1698
CVE-2009-1690
CPE    1
cpe:/o:debian:debian_linux:5.0

© SecPod Technologies